Bug 14881 - Support for datatypes used by HTML <time> element
Support for datatypes used by HTML <time> element
Status: RESOLVED LATER
Product: XML Schema
Classification: Unclassified
Component: Datatypes: XSD Part 2
unspecified
All All
: P2 normal
: ---
Assigned To: David Ezell
XML Schema comments list
: resolved
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-19 09:52 UTC by Jeni Tennison
Modified: 2012-10-21 00:11 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeni Tennison 2011-11-19 09:52:14 UTC
The new <time> element in HTML5 [1] supports a range of different date/time/duration formats. Most of these match the value space of existing XML Schema datatypes (if not their lexical space), but there are two in particular that don't (at least these were the two that jumped out at me):

* timezone ('Z' or [+-]hh:mm)
* week (YYYY-Www)

It would ease extraction of data from HTML <time> elements if XML and RDF were able to support these datatypes. Could they be added (perhaps as xs:timezone and xs:gYearWeek)?

(See also http://lists.w3.org/Archives/Public/www-xml-schema-comments/2011OctDec/0025.html)

[1] http://www.whatwg.org/specs/web-apps/current-work/multipage/text-level-semantics.html#the-time-element (note this is not yet reflected in W3C version of the spec, but I think it's likely it will be)
Comment 1 David Ezell 2011-12-09 16:43:50 UTC
MSM: so, our preference is that the note be published by the HTML5 WG.
...: and, our preference is that it won't be in the XML Schema NS, but if it becomes apparent that people really want it in our namespace then we'll consider it.
ACTION: MSM to get in touch with Jeni Tennison regarding production of a custom datatype given the parameters listed here in the minutes.

Resoved: mark bug as WORKSFORME after talking with Jeni.
Comment 2 C. M. Sperberg-McQueen 2012-10-21 00:11:56 UTC
The mail mentioned in comment 1 has now been sent [1], and as described there I'm marking this issue resolved.  (I'm unilaterally changing the resolution from WORKSFORME to LATER, though, for reasons described in the mail.)

[1] http://lists.w3.org/Archives/Public/www-xml-schema-comments/2012OctDec/0012.html